org.gjt.sp.jedit

## Class OptionGroup

- java.lang.Object
- - org.gjt.sp.jedit.OptionGroup

Direct Known Subclasses:
  GlobalOptionGroup, PluginOptionGroup

    public class OptionGroup
    extends java.lang.Object

A set of option panes shown in one branch in the options dialog.

Plugins should not create instances of this class directly. See `EditPlugin` for information on how jEdit obtains and constructs option pane instances.

### Field Summary

Fields
`protected java.lang.String` `label`
`protected java.util.Vector<java.lang.Object>` `members`
`protected java.lang.String` `name`

### Constructor Summary

Constructors
Constructor and Description
`OptionGroup(java.lang.String name)` Creates an option group.
`OptionGroup(java.lang.String name, java.lang.String label, java.lang.String options)` Creates an option group.

### Method Summary

Methods
`void` `addOptionGroup(OptionGroup group)`
`void` `addOptionPane(OptionPane pane)`
`void` `addOptionPane(java.lang.String pane)`
`java.lang.String` `getLabel()` Returns the option group's human-readable label.
`java.lang.Object` `getMember(int index)`
`int` `getMemberCount()`
`int` `getMemberIndex(java.lang.Object member)`
`java.util.Enumeration<java.lang.Object>` `getMembers()`
`java.lang.String` `getName()`
`void` `setSort(boolean sort)` Sets if the members of this group should be sorted.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    protected final java.lang.String name

#### label

    protected final java.lang.String label

#### members

    protected final java.util.Vector<java.lang.Object> members

### Constructor Detail

#### OptionGroup

    public OptionGroup(java.lang.String name)

Creates an option group.

Parameters:
  `name` - The internal name of the option group, used to key a property `options.name.label` which is the label displayed in the options dialog.
See Also:
  `jEdit.getProperty(String)`

#### OptionGroup

    public OptionGroup(java.lang.String name,
               java.lang.String label,
               java.lang.String options)

Creates an option group.

Parameters:
  `label` - The label
  `options` - A whitespace-separated list of option pane names
Since:
  jEdit 4.2pre2

### Method Detail

#### getName

    public java.lang.String getName()

#### getLabel

    public java.lang.String getLabel()

Returns the option group's human-readable label.

Since:
  jEdit 4.2pre1

#### addOptionGroup

    public void addOptionGroup(OptionGroup group)

#### addOptionPane

    public void addOptionPane(OptionPane pane)

#### addOptionPane

    public void addOptionPane(java.lang.String pane)

#### getMembers

    public java.util.Enumeration<java.lang.Object> getMembers()

#### getMember

    public java.lang.Object getMember(int index)

#### getMemberIndex

    public int getMemberIndex(java.lang.Object member)

#### getMemberCount

    public int getMemberCount()

#### setSort

    public void setSort(boolean sort)

Sets if the members of this group should be sorted.

Since:
  jEdit 4.2pre3